org.apache.maven.profiles

## Class DefaultProfileManager

- java.lang.Object
- - org.apache.maven.profiles.DefaultProfileManager

- All Implemented Interfaces:
    ProfileManager

      public class DefaultProfileManager
      extends java.lang.Object
      implements ProfileManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProfileManager(PlexusContainer container)` Deprecated. without passing in the system properties, the SystemPropertiesProfileActivator will not work correctly in embedded envirnments.
    `DefaultProfileManager(PlexusContainer container, java.util.Properties props)` the properties passed to the profile manager are the props that are passed to maven, possibly containing profile activator properties
    `DefaultProfileManager(PlexusContainer container, Settings settings)` Deprecated. without passing in the system properties, the SystemPropertiesProfileActivator will not work correctly in embedded envirnments.
    `DefaultProfileManager(PlexusContainer container, Settings settings, java.util.Properties props)` the properties passed to the profile manager are the props that are passed to maven, possibly containing profile activator properties

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateAsDefault(java.lang.String profileId)`
    `void` | `addProfile(Profile profile)`
    `void` | `addProfiles(java.util.List profiles)`
    `void` | `explicitlyActivate(java.util.List profileIds)`
    `void` | `explicitlyActivate(java.lang.String profileId)`
    `void` | `explicitlyDeactivate(java.util.List profileIds)`
    `void` | `explicitlyDeactivate(java.lang.String profileId)`
    `java.util.List` | `getActiveProfiles()`
    `java.util.List` | `getExplicitlyActivatedIds()`
    `java.util.List` | `getExplicitlyDeactivatedIds()`
    `java.util.List` | `getIdsActivatedByDefault()`
    `java.util.Map` | `getProfilesById()`
    `java.util.Properties` | `getRequestProperties()`
    `void` | `loadSettingsProfiles(Settings settings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProfileManager

          public DefaultProfileManager(PlexusContainer container)

      Deprecated. without passing in the system properties, the SystemPropertiesProfileActivator will not work correctly in embedded envirnments.

    - #### DefaultProfileManager

          public DefaultProfileManager(PlexusContainer container,
                               java.util.Properties props)

      the properties passed to the profile manager are the props that are passed to maven, possibly containing profile activator properties

    - #### DefaultProfileManager

          public DefaultProfileManager(PlexusContainer container,
                               Settings settings)

      Deprecated. without passing in the system properties, the SystemPropertiesProfileActivator will not work correctly in embedded envirnments.

    - #### DefaultProfileManager

          public DefaultProfileManager(PlexusContainer container,
                               Settings settings,
                               java.util.Properties props)

      the properties passed to the profile manager are the props that are passed to maven, possibly containing profile activator properties

  - ### Method Detail

    - #### getRequestProperties

          public java.util.Properties getRequestProperties()

      Specified by:
        `getRequestProperties` in interface `ProfileManager`

    - #### getProfilesById

          public java.util.Map getProfilesById()

      Specified by:
        `getProfilesById` in interface `ProfileManager`

    - #### addProfile

          public void addProfile(Profile profile)

      Specified by:
        `addProfile` in interface `ProfileManager`

    - #### explicitlyActivate

          public void explicitlyActivate(java.lang.String profileId)

      Specified by:
        `explicitlyActivate` in interface `ProfileManager`

    - #### explicitlyActivate

          public void explicitlyActivate(java.util.List profileIds)

      Specified by:
        `explicitlyActivate` in interface `ProfileManager`

    - #### explicitlyDeactivate

          public void explicitlyDeactivate(java.lang.String profileId)

      Specified by:
        `explicitlyDeactivate` in interface `ProfileManager`

    - #### explicitlyDeactivate

          public void explicitlyDeactivate(java.util.List profileIds)

      Specified by:
        `explicitlyDeactivate` in interface `ProfileManager`

    - #### getActiveProfiles

          public java.util.List getActiveProfiles()
                                           throws ProfileActivationException

      Specified by:
        `getActiveProfiles` in interface `ProfileManager`
      Throws:
        `ProfileActivationException`

    - #### addProfiles

          public void addProfiles(java.util.List profiles)

      Specified by:
        `addProfiles` in interface `ProfileManager`

    - #### activateAsDefault

          public void activateAsDefault(java.lang.String profileId)

      Specified by:
        `activateAsDefault` in interface `ProfileManager`

    - #### getExplicitlyActivatedIds

          public java.util.List getExplicitlyActivatedIds()

      Specified by:
        `getExplicitlyActivatedIds` in interface `ProfileManager`

    - #### getExplicitlyDeactivatedIds

          public java.util.List getExplicitlyDeactivatedIds()

      Specified by:
        `getExplicitlyDeactivatedIds` in interface `ProfileManager`

    - #### getIdsActivatedByDefault

          public java.util.List getIdsActivatedByDefault()

      Specified by:
        `getIdsActivatedByDefault` in interface `ProfileManager`

    - #### loadSettingsProfiles

          public void loadSettingsProfiles(Settings settings)

      Specified by:
        `loadSettingsProfiles` in interface `ProfileManager`